Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.blockterms
Class VariableGapTermsIndexWriter.EveryNTermSelector

    java.lang.Object
      org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.IndexTermSelector
          org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.EveryNTermSelector

Enclosing class:
  VariableGapTermsIndexWriter

    public static final class VariableGapTermsIndexWriter.EveryNTermSelector

extends VariableGapTermsIndexWriter.IndexTermSelector

Same policy as `FixedGapTermsIndexWriter`

Constructor Summary
`VariableGapTermsIndexWriter.EveryNTermSelector(int interval)`

Method Summary
`boolean` | `isIndexTerm(BytesRef term, TermStats stats)` Called sequentially on every term being written, returning true if this term should be indexed
`void` | `newField(FieldInfo fieldInfo)` Called when a new field is started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableGapTermsIndexWriter.EveryNTermSelector

    public VariableGapTermsIndexWriter.EveryNTermSelector(int interval)

Method Detail

### isIndexTerm

    public boolean isIndexTerm(BytesRef term,
                               TermStats stats)

  Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
  Called sequentially on every term being written, returning true if this term should be indexed

  Specified by:
    `isIndexTerm` in class `VariableGapTermsIndexWriter.IndexTermSelector`

### newField

    public void newField(FieldInfo fieldInfo)

  Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
  Called when a new field is started.

  Specified by:
    `newField` in class `VariableGapTermsIndexWriter.IndexTermSelector`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.